=== PAY by square for Magento 2 ===
Contributors: emobia
Requires at least: 2.0
Tested up to: 2.4.1

== Description ==

This plugin adding QR code PAY bysquare for direct bank payment in Magento 2.
For using this extension you need account on https://app.bysquare.com.

== Installation via composer ==

 - STEP 1.: Download package
 - STEP 2.: Unzip it and upload to folder modules/
 - STEP 3.: Add to composer package.json repositories
 {
         "type": "path",
         "url": "./modules/adelante/module-pay-by-square"
 }
 - STEP 4.: Run command line
 composer install
 composer require adelante/pay-by-square
 php bin/magento setup:upgrade
 php bin/magento setup:static-content:deploy
 - STEP 5.: Check if extension is visible in shop administration
 

== Installation via upload to app/code ==

 - STEP 1.: Download package
 - STEP 2.: Unzip it and upload to folder app/code/
 - STEP 3.: Run command line
 php bin/magento setup:upgrade
 php bin/magento setup:static-content:deploy
 - STEP 4.: Check if extension is visible in shop administration


== Extension Setup ==

 - Stores / Configuration select ADELANTE and Pay BySquare
 - You need to have enabled and configured Bank Transfer Payment (Configuration -> Sales / Payment Methods)
 - Fill username / password which you are using for https://app.bysquare.com
 - Beneficary name:
 - Bank accounts and BIC - please fill one per line
 - Note - note will be visible under generated QR code on Success page and in E-mail template


== Informations for developer ==

QR code is added to checkout_submit_all_after and email_order_set_template_vars_before events.